# sql
> 2024-06-03
#
alter table device add  `anonymous_storage` tinyint(1) DEFAULT '0' COMMENT '是否开启纯采集匿名入库 false-关闭 true-开启 默认false';
alter table device add  `compare_silent_display` tinyint(1) DEFAULT '0' COMMENT '比对失败是否静默显示 false-关闭 true-开启 默认false';
alter table device add  `compare_silent_display_time` int DEFAULT '2' COMMENT '比对失败静默时长 默认2';
alter table device add  `compare_top_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '比对失败顶部文字';
alter table device_template add  `anonymous_storage` tinyint(1) DEFAULT '0' COMMENT '是否开启纯采集匿名入库 false-关闭 true-开启 默认false';
alter table device_template add  `compare_silent_display` tinyint(1) DEFAULT '0' COMMENT '比对失败是否静默显示 false-关闭 true-开启 默认false';
alter table device_template add  `compare_silent_display_time` int DEFAULT '2' COMMENT '比对失败静默时长 默认2';
alter table device_template add  `compare_top_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '比对失败顶部文字';
alter table fkj_device add `face_fail_hand_input` tinyint(1) DEFAULT '0' COMMENT '刷脸失败跳转手输 false-关闭 true-开启 默认false';
alter table fkj_device_template add `face_fail_hand_input` tinyint(1) DEFAULT '0' COMMENT '刷脸失败跳转手输 false-关闭 true-开启 默认false';
alter table provisional_identity_proof_device add `face_fail_hand_input` tinyint(1) DEFAULT '0' COMMENT '刷脸失败跳转手输 false-关闭 true-开启 默认false';
alter table provisional_identity_proof_device add `face_fail_hand_input` tinyint(1) DEFAULT '0' COMMENT '刷脸失败跳转手输 false-关闭 true-开启 默认false';
ALTER TABLE provisional_identity_proof_device add  `home_page_title` varchar(50) COLLATE utf8mb4_general_ci DEFAULT '临时身份证明自助服务系统' COMMENT '首页标题';
ALTER TABLE provisional_identity_proof_device add  `face_button_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '支付宝用户刷脸快捷办理' COMMENT '刷脸按钮文本';
ALTER TABLE provisional_identity_proof_device add  `input_button_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '无支付宝旅客/老年人入口' COMMENT '手输按钮文本';
ALTER TABLE provisional_identity_proof_device add  `result_page_print_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '查看电子版临时身份证明' COMMENT '结果页-打印文本';
ALTER TABLE provisional_identity_proof_device add  `result_page_no_print_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '电子版临时身份证明' COMMENT '结果页-非打印文本';
ALTER TABLE provisional_identity_proof_template add  `home_page_title` varchar(50) COLLATE utf8mb4_general_ci DEFAULT '临时身份证明自助服务系统' COMMENT '首页标题';
ALTER TABLE provisional_identity_proof_template add  `face_button_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '支付宝用户刷脸快捷办理' COMMENT '刷脸按钮文本';
ALTER TABLE provisional_identity_proof_template add  `input_button_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '无支付宝旅客/老年人入口' COMMENT '手输按钮文本';
ALTER TABLE provisional_identity_proof_template add  `result_page_print_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '查看电子版临时身份证明' COMMENT '结果页-打印文本';
ALTER TABLE provisional_identity_proof_template add  `result_page_no_print_text` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '电子版临时身份证明' COMMENT '结果页-非打印文本';

> 2024-06-07
ALTER TABLE fkj_device add `reminder_auth` tinyint(1) DEFAULT '0' COMMENT '是否启用注意事项提示语 true-启用 false-不启用';
ALTER TABLE fkj_device_template add `reminder_auth` tinyint(1) DEFAULT '0' COMMENT '是否启用注意事项提示语 true-启用 false-不启用';

> 2024-07-29
alter table iot_device_config add `is_open_printer` tinyint(1) DEFAULT '0' COMMENT '是否开启打印机 默认false';
alter table iot_device_config add `printer_config` int DEFAULT NULL COMMENT 'HHArome打印机接口配置PrinterConfigEnum';
alter table iot_device_config_template add `is_open_printer` tinyint(1) DEFAULT '0' COMMENT '是否开启打印机 默认false';
alter table iot_device_config_template add `printer_config` int DEFAULT NULL COMMENT 'HHArome打印机接口配置PrinterConfigEnum';

-- 2024-07-30
ALTER TABLE `hh_culture_device` ADD COLUMN `isv_pid` varchar(64) NULL COMMENT 'isv的商户id';
ALTER TABLE `hh_culture_device_template` ADD COLUMN `isv_pid` varchar(64) NULL COMMENT 'isv的商户id';

-- 2024-07-31
CREATE TABLE `hanghui_outapi_platform`.`provisional_identity_proof_special_code`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `version` bigint(20) NULL DEFAULT NULL COMMENT '版本控制 ',
  `is_deleted` tinyint(1) NULL DEFAULT NULL COMMENT '是否删除',
  `qr_code_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '二维码CODE编码 根据购买方公司id+用户身份证 加密生成',
  `cert_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `cert_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '证件号',
  `phone` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `photo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '照片',
  `start_date` date NULL DEFAULT NULL COMMENT '开始时间 格式：2024-07-31',
  `end_date` date NULL DEFAULT NULL COMMENT '结束时间 格式：2024-07-31',
  `purchaser_id` bigint(20) NULL DEFAULT NULL COMMENT '购买方公司',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_qr_code_no`(`qr_code_no`) USING BTREE,
  INDEX `idx_end_date`(`end_date`) USING BTREE,
  INDEX `idx_cert_no`(`cert_no`) USING BTREE,
  INDEX `idx_purchaser_id`(`purchaser_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '临证用户特殊码表' ROW_FORMAT = DYNAMIC;


ALTER TABLE `hanghui_outapi_platform`.`provisional_identity_proof_device`
ADD COLUMN `special_code_switch` tinyint(1) NULL COMMENT '启用三要素获取特殊码接口 默认：否',
ADD COLUMN `special_code_url` varchar(500) NULL COMMENT '三要素获取特殊码接口地址' AFTER `special_code_switch`,
ADD COLUMN `special_code_encrypt_switch` tinyint(1) NULL COMMENT '三要素获取特殊码接口数据是否加解密 默认true' AFTER `special_code_url`,
ADD COLUMN `special_code_encrypt_app_key` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密appKey' AFTER `special_code_encrypt_switch`,
ADD COLUMN `special_code_encrypt_app_secret` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密appSecrete' AFTER `special_code_encrypt_app_key`,
ADD COLUMN `special_code_encrypt_private_key` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密PrivateKey' AFTER `special_code_encrypt_app_secret`,
ADD COLUMN `special_code_timeout` int(10) NULL COMMENT '三要素获取特殊码接口超时时间：5s' AFTER `special_code_encrypt_private_key`,
ADD COLUMN `special_code_timeout_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时' AFTER `special_code_timeout`,
ADD COLUMN `special_code_failed_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败' AFTER `special_code_timeout_tips`;

ALTER TABLE `hanghui_outapi_platform`.`provisional_identity_proof_template`
ADD COLUMN `special_code_switch` tinyint(1) NULL COMMENT '启用三要素获取特殊码接口 默认：否',
ADD COLUMN `special_code_url` varchar(500) NULL COMMENT '三要素获取特殊码接口地址' AFTER `special_code_switch`,
ADD COLUMN `special_code_encrypt_switch` tinyint(1) NULL COMMENT '三要素获取特殊码接口数据是否加解密 默认true' AFTER `special_code_url`,
ADD COLUMN `special_code_encrypt_app_key` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密appKey' AFTER `special_code_encrypt_switch`,
ADD COLUMN `special_code_encrypt_app_secret` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密appSecrete' AFTER `special_code_encrypt_app_key`,
ADD COLUMN `special_code_encrypt_private_key` varchar(64) NULL COMMENT '三要素获取特殊码接口数据是否加解密PrivateKey' AFTER `special_code_encrypt_app_secret`,
ADD COLUMN `special_code_timeout` int(10) NULL COMMENT '三要素获取特殊码接口超时时间：5s' AFTER `special_code_encrypt_private_key`,
ADD COLUMN `special_code_timeout_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时' AFTER `special_code_timeout`,
ADD COLUMN `special_code_failed_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败' AFTER `special_code_timeout_tips`;

ALTER TABLE `hanghui_outapi_platform`.`device`
ADD COLUMN `special_code_switch` tinyint(1) NULL COMMENT '启用三要素获取特殊码接口 默认：否',
ADD COLUMN `special_code_url` varchar(500) NULL COMMENT '三要素获取特殊码接口地址' AFTER `special_code_switch`,
ADD COLUMN `special_code_timeout` int(10) NULL COMMENT '三要素获取特殊码接口超时时间：5s' AFTER `special_code_url`,
ADD COLUMN `special_code_timeout_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时' AFTER `special_code_timeout`,
ADD COLUMN `special_code_failed_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败' AFTER `special_code_timeout_tips`,
ADD COLUMN `special_code_prefix` varchar(255) NULL COMMENT '特殊码标识（首位/前缀）' AFTER `special_code_failed_tips`;

ALTER TABLE `hanghui_outapi_platform`.`device_template`
ADD COLUMN `special_code_switch` tinyint(1) NULL COMMENT '启用三要素获取特殊码接口 默认：否',
ADD COLUMN `special_code_url` varchar(500) NULL COMMENT '三要素获取特殊码接口地址' AFTER `special_code_switch`,
ADD COLUMN `special_code_timeout` int(10) NULL COMMENT '三要素获取特殊码接口超时时间：5s' AFTER `special_code_url`,
ADD COLUMN `special_code_timeout_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时' AFTER `special_code_timeout`,
ADD COLUMN `special_code_failed_tips` varchar(64) NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败' AFTER `special_code_timeout_tips`,
ADD COLUMN `special_code_prefix` varchar(255) NULL COMMENT '特殊码标识（首位/前缀）' AFTER `special_code_failed_tips`;

ALTER TABLE hh_culture_device ADD `result_page_template` tinyint(1) DEFAULT '1' COMMENT '结果页模版 1-通用版 2-悬浮版';
ALTER TABLE hh_culture_device_template ADD `result_page_template` tinyint(1) DEFAULT '1' COMMENT '结果页模版 1-通用版 2-悬浮版';
ALTER TABLE device add`led_brightness` int DEFAULT '200' COMMENT '补光灯亮度';
ALTER TABLE device_template add`led_brightness` int DEFAULT '200' COMMENT '补光灯亮度';



ALTER TABLE `hanghui_outapi_platform`.`provisional_identity_proof_special_code` 
ADD COLUMN `issuing_time` datetime NULL COMMENT '签发时间',
ADD COLUMN `issuing_authority` varchar(100) NULL COMMENT '签发单位' AFTER `issuing_time`;


ALTER TABLE `hanghui_outapi_platform`.`provisional_identity_proof_device` 
ADD COLUMN `valid_time` int(5) NULL COMMENT '凭证有效期',
ADD COLUMN `issuing_authority` varchar(100) NULL COMMENT '签发单位' AFTER `valid_time`;

ALTER TABLE `hanghui_outapi_platform`.`provisional_identity_proof_template` 
ADD COLUMN `valid_time` int(5) NULL COMMENT '凭证有效期',
ADD COLUMN `issuing_authority` varchar(100) NULL COMMENT '签发单位' AFTER `valid_time`;

alter table device_template add `verify_retry_times` int DEFAULT '2' COMMENT 'verify核验接口失败重试次数 默认2',
add `verify_link_timeout` int DEFAULT '15' COMMENT 'verify核验接口超时时间：15s',
add `scheduled_restart` tinyint(1) DEFAULT '0' COMMENT '是否开启定时重启 true-是 false-否 默认-false',
add `scheduled_restart_time` time DEFAULT NULL COMMENT '定时重启时间HH:mm:ss';

alter table device add `verify_retry_times` int DEFAULT '2' COMMENT 'verify核验接口失败重试次数 默认2',
add `verify_link_timeout` int DEFAULT '15' COMMENT 'verify核验接口超时时间：15s',
add `scheduled_restart` tinyint(1) DEFAULT '0' COMMENT '是否开启定时重启 true-是 false-否 默认-false',
add `scheduled_restart_time` time DEFAULT NULL COMMENT '定时重启时间HH:mm:ss';

alter table device add `ic14443_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic14443_reader_brand` int DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
add  `ic14443_reader_sector_numbers` int DEFAULT '15' COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
add  `ic14443_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic14443_reader_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
add  `ic14443_start_offset` int DEFAULT '0' COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
add  `ic14443_end_offset` int DEFAULT '0' COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
add  `ic14443_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
add  `ic14443_same_card_interval_time` int DEFAULT '7' COMMENT 'ic14443-同卡间隔时间；默认7',
add  `ic15693_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic15693_reader_brand` int DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
add  `ic15693_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic15693_start_offset` int DEFAULT '0' COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
add  `ic15693_end_offset` int DEFAULT '0' COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
add  `ic15693_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
add  `ic15693_same_card_interval_time` int DEFAULT '7' COMMENT 'ic15693-同卡间隔时间；默认7';

alter table device_template add `ic14443_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic14443_reader_brand` int DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
add  `ic14443_reader_sector_numbers` int DEFAULT '15' COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
add  `ic14443_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic14443_reader_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
add  `ic14443_start_offset` int DEFAULT '0' COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
add  `ic14443_end_offset` int DEFAULT '0' COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
add  `ic14443_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
add  `ic14443_same_card_interval_time` int DEFAULT '7' COMMENT 'ic14443-同卡间隔时间；默认7',
add  `ic15693_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic15693_reader_brand` int DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
add  `ic15693_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic15693_start_offset` int DEFAULT '0' COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
add  `ic15693_end_offset` int DEFAULT '0' COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
add  `ic15693_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
add  `ic15693_same_card_interval_time` int DEFAULT '7' COMMENT 'ic15693-同卡间隔时间；默认7';

alter table hh_culture_device add `ic14443_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic14443_reader_brand` int DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
add  `ic14443_reader_sector_numbers` int DEFAULT '15' COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
add  `ic14443_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic14443_reader_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
add  `ic14443_start_offset` int DEFAULT '0' COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
add  `ic14443_end_offset` int DEFAULT '0' COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
add  `ic14443_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
add  `ic14443_same_card_interval_time` int DEFAULT '7' COMMENT 'ic14443-同卡间隔时间；默认7',
add  `ic15693_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic15693_reader_brand` int DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
add  `ic15693_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic15693_start_offset` int DEFAULT '0' COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
add  `ic15693_end_offset` int DEFAULT '0' COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
add  `ic15693_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
add  `ic15693_same_card_interval_time` int DEFAULT '7' COMMENT 'ic15693-同卡间隔时间；默认7';

alter table hh_culture_device_template add `ic14443_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic14443_reader_brand` int DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
add  `ic14443_reader_sector_numbers` int DEFAULT '15' COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
add  `ic14443_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic14443_reader_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
add  `ic14443_start_offset` int DEFAULT '0' COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
add  `ic14443_end_offset` int DEFAULT '0' COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
add  `ic14443_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
add  `ic14443_same_card_interval_time` int DEFAULT '7' COMMENT 'ic14443-同卡间隔时间；默认7',
add  `ic15693_ic_card_function` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
add  `ic15693_reader_brand` int DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
add  `ic15693_reader_block` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
add  `ic15693_start_offset` int DEFAULT '0' COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
add  `ic15693_end_offset` int DEFAULT '0' COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
add  `ic15693_person_card_comparison` tinyint(1) DEFAULT '0' COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
add  `ic15693_same_card_interval_time` int DEFAULT '7' COMMENT 'ic15693-同卡间隔时间；默认7';


alter TABLE device add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE device_template add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE fkj_device add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE fkj_device_template add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE hh_culture_device add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE hh_culture_device_template add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE iot_device_config add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE iot_device_config_template add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE provisional_identity_proof_device add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';
alter TABLE provisional_identity_proof_template add  `expiration_date` date DEFAULT NULL COMMENT '到期日期';

ALTER TABLE account_auth_config add `use_config` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '使用配置 UseConfigEnum';

-- 2024-08-30
ALTER TABLE `hanghui_outapi_platform`.`device_template` 
ADD COLUMN `user_blacklist_switch` tinyint(1) NULL COMMENT '开启黑名单 默认：false-否' AFTER `expiration_date`,
ADD COLUMN `forbid_pass_switch` tinyint(1) NULL COMMENT '是否阻止通行 默认：true-是' AFTER `user_blacklist_switch`,
ADD COLUMN `forbid_pass_text` varchar(50) NULL COMMENT '阻止通行的文本 默认：禁止通行' AFTER `forbid_pass_switch`,
ADD COLUMN `forbid_pass_voice` varchar(50) NULL COMMENT '阻止通信提示语音 默认：禁止通行，请联系管理员' AFTER `forbid_pass_text`,
ADD COLUMN `user_blacklist_hit_rule` varchar(255) NULL COMMENT '命中条件 IDENTITY_CARD-身份证 PHONE-手机号 默认：勾选身份证' AFTER `forbid_pass_voice`,
ADD COLUMN `user_blacklist_interf_fetch_switch` tinyint(1) NULL COMMENT '是否启用接口拉取 默认：true' AFTER `user_blacklist_hit_rule`,
ADD COLUMN `user_blacklist_interf_url` varchar(500) NULL COMMENT '接口拉取地址' AFTER `user_blacklist_interf_fetch_switch`,
ADD COLUMN `user_blacklist_encrypt_switch` tinyint(1) NULL COMMENT '黑名单数据是否加解密 默认true' AFTER `user_blacklist_interf_url`,
ADD COLUMN `user_blacklist_encrypt_app_key` varchar(100) NULL COMMENT '核验接口数据是否加解密appKey' AFTER `user_blacklist_encrypt_switch`,
ADD COLUMN `user_blacklist_encrypt_app_secret` varchar(100) NULL COMMENT '核验接口数据是否加解密appSecrete' AFTER `user_blacklist_encrypt_app_key`,
ADD COLUMN `user_blacklist_encrypt_private_key` varchar(100) NULL COMMENT '核验接口数据是否加解密PrivateKey' AFTER `user_blacklist_encrypt_app_secret`,
ADD COLUMN `push_failed_record_type` text NULL COMMENT '推送失败记录类型' AFTER `user_blacklist_offline_task_id`;

ALTER TABLE `hanghui_outapi_platform`.`device` 
ADD COLUMN `user_blacklist_switch` tinyint(1) NULL COMMENT '开启黑名单 默认：false-否' AFTER `expiration_date`,
ADD COLUMN `forbid_pass_switch` tinyint(1) NULL COMMENT '是否阻止通行 默认：true-是' AFTER `user_blacklist_switch`,
ADD COLUMN `forbid_pass_text` varchar(50) NULL COMMENT '阻止通行的文本 默认：禁止通行' AFTER `forbid_pass_switch`,
ADD COLUMN `forbid_pass_voice` varchar(50) NULL COMMENT '阻止通信提示语音 默认：禁止通行，请联系管理员' AFTER `forbid_pass_text`,
ADD COLUMN `user_blacklist_hit_rule` varchar(255) NULL COMMENT '命中条件 IDENTITY_CARD-身份证 PHONE-手机号 默认：勾选身份证' AFTER `forbid_pass_voice`,
ADD COLUMN `user_blacklist_interf_fetch_switch` tinyint(1) NULL COMMENT '是否启用接口拉取 默认：true' AFTER `user_blacklist_hit_rule`,
ADD COLUMN `user_blacklist_interf_url` varchar(500) NULL COMMENT '接口拉取地址' AFTER `user_blacklist_interf_fetch_switch`,
ADD COLUMN `user_blacklist_encrypt_switch` tinyint(1) NULL COMMENT '黑名单数据是否加解密 默认true' AFTER `user_blacklist_interf_url`,
ADD COLUMN `user_blacklist_encrypt_app_key` varchar(100) NULL COMMENT '核验接口数据是否加解密appKey' AFTER `user_blacklist_encrypt_switch`,
ADD COLUMN `user_blacklist_encrypt_app_secret` varchar(100) NULL COMMENT '核验接口数据是否加解密appSecrete' AFTER `user_blacklist_encrypt_app_key`,
ADD COLUMN `user_blacklist_encrypt_private_key` varchar(100) NULL COMMENT '核验接口数据是否加解密PrivateKey' AFTER `user_blacklist_encrypt_app_secret`,
ADD COLUMN `user_blacklist_offline_switch` tinyint(1) NULL COMMENT '是否启用本地名单 默认false' AFTER `user_blacklist_encrypt_private_key`,
ADD COLUMN `user_blacklist_offline_task_id` text NULL COMMENT '本地名单任务集合' AFTER `user_blacklist_offline_switch`,
ADD COLUMN `push_failed_record_type` text NULL COMMENT '推送失败记录类型' AFTER `user_blacklist_offline_task_id`;

CREATE TABLE `hanghui_outapi_platform`.`user_blacklist_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `version` bigint(20) NULL DEFAULT NULL COMMENT '版本控制 ',
  `is_deleted` tinyint(1) NULL DEFAULT NULL COMMENT '是否删除',
  `task_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `purchaser_id` bigint(20) NULL DEFAULT NULL COMMENT '购买方公司',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_task_name`(`task_name`) USING BTREE,
  INDEX `idx_purchaser_id`(`purchaser_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '黑名单任务' ROW_FORMAT = DYNAMIC;

CREATE TABLE `hanghui_outapi_platform`.`user_blacklist`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `version` bigint(20) NULL DEFAULT NULL COMMENT '版本控制 ',
  `is_deleted` tinyint(1) NULL DEFAULT NULL COMMENT '是否删除',
  `cert_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `cert_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '证件号',
  `phone` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `task_id` bigint(20) NULL DEFAULT NULL COMMENT 'UserBlacklistTask 主键',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_task_id`(`task_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '黑名单' ROW_FORMAT = DYNAMIC;


-- 20240904
ALTER TABLE `hanghui_outapi_platform`.`hh_culture_device` 
ADD COLUMN `entry_identify_switch` tinyint(1) NULL COMMENT '是否开启进场识别 默认false' AFTER `expiration_date`,
ADD COLUMN `click_scan_face_button_switch` tinyint(1) NULL COMMENT '显示点击刷脸按钮 默认true' AFTER `entry_identify_switch`,
ADD COLUMN `click_scan_face_button_text` varchar(100) NULL COMMENT '点击刷脸按钮文本 默认：点击开始刷脸核验' AFTER `click_scan_face_button_switch`,
ADD COLUMN `scan_face_failed_tip_url` varchar(255) NULL COMMENT '刷脸失败提示页配置图片' AFTER `click_scan_face_button_text`;

ALTER TABLE `hanghui_outapi_platform`.`hh_culture_device_template` 
ADD COLUMN `entry_identify_switch` tinyint(1) NULL COMMENT '是否开启进场识别 默认false' AFTER `expiration_date`,
ADD COLUMN `click_scan_face_button_switch` tinyint(1) NULL COMMENT '显示点击刷脸按钮 默认true' AFTER `entry_identify_switch`,
ADD COLUMN `click_scan_face_button_text` varchar(100) NULL COMMENT '点击刷脸按钮文本 默认：点击开始刷脸核验' AFTER `click_scan_face_button_switch`,
ADD COLUMN `scan_face_failed_tip_url` varchar(255) NULL COMMENT '刷脸失败提示页配置图片' AFTER `click_scan_face_button_text`;

-- 20240911
ALTER TABLE `hanghui_outapi_platform`.`iot_device_config` 
ADD COLUMN `volume` int NULL DEFAULT 80 COMMENT '语音音量 0-100 默认值80' AFTER `expiration_date`,
ADD COLUMN `applet_enter_page_url` varchar(255) NULL COMMENT '小程序入口页面地址' AFTER `volume`;
ALTER TABLE `hanghui_outapi_platform`.`iot_device_config_template` 
ADD COLUMN `volume` int NULL DEFAULT 80 COMMENT '语音音量 0-100 默认值80' AFTER `expiration_date`,
ADD COLUMN `applet_enter_page_url` varchar(255) NULL COMMENT '小程序入口页面地址' AFTER `volume`;

ALTER TABLE `hanghui_outapi_platform`.`account_auth_config` 
MODIFY COLUMN `use_config` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '使用配置 UseConfigEnum' AFTER `version`,
ADD COLUMN `push_config` text NULL COMMENT '推送地址配置' AFTER `use_config`,
ADD COLUMN `hh_face_switch` tinyint(1) NULL COMMENT 'hhface权限开关' AFTER `push_config`,
ADD COLUMN `hhface_use_config` text NULL COMMENT 'hhface使用配置' AFTER `hh_face_switch`,
ADD COLUMN `hhface_face_config` text NULL COMMENT 'hhface支付宝刷脸启动核点配置' AFTER `hhface_use_config`,
ADD COLUMN `hhface_face_config_tenant_ids` text NULL COMMENT '商户平台id集合' AFTER `hhface_face_config`,
ADD COLUMN `hhface_face_config_user_lib_ids` text NULL COMMENT '用户库id集合' AFTER `hhface_face_config_tenant_ids`,
ADD COLUMN `hhface_collect_config` text NULL COMMENT 'hhface采集配置' AFTER `hhface_face_config_user_lib_ids`,
ADD COLUMN `hhface_third_config` text NULL COMMENT 'hhface三方接口接入配置' AFTER `hhface_collect_config`,
ADD COLUMN `hhface_result_config` text NULL COMMENT 'hhface结果页配置' AFTER `hhface_third_config`,
ADD COLUMN `hhface_hardware_config` text NULL COMMENT 'hhface硬件模组配置' AFTER `hhface_result_config`,
ADD COLUMN `hhface_push_config` text NULL COMMENT 'hhface推送配置' AFTER `hhface_hardware_config`,
ADD COLUMN `hhface_func_config` text NULL COMMENT 'hhface功能配置' AFTER `hhface_push_config`,
ADD COLUMN `hhface_system_config` text NULL COMMENT 'hhface系统配置' AFTER `hhface_func_config`;


-- 20240924
CREATE TABLE `hanghui_outapi_platform`.`hh_local_device` (
	`id` BIGINT NOT NULL AUTO_INCREMENT COMMENT '主键id',
	`sn` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编号',
	`first_auth_time` datetime NULL DEFAULT NULL COMMENT '第一次授权时间',
	`status` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否授权',
	`create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
	`update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
	`version` BIGINT NULL DEFAULT NULL COMMENT '版本控制 ',
	`is_deleted` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否删除',
	`purchaser_id` BIGINT NULL DEFAULT NULL COMMENT '购买方公司id',
	`application_type_id` BIGINT NULL DEFAULT NULL COMMENT '应用类型id',
	`device_model_hardware_id` BIGINT NULL DEFAULT NULL COMMENT '设备型号(硬件)id',
	`expiration_date` date NULL DEFAULT NULL COMMENT '到期日期',
	`license_online_key` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '(百度)激活序列号',
	`communication_mode` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '应用通信模式 1-HTTP 2-WS 3-serialPort',
	`ws_address` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'websocket地址',
	`communication_serial_port` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '串口地址serialPort',
	`linkage_check_mode` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '联动平台校验模式 1-通用 2-预检查模式',
	`use_idcard` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否启用身份证功能 默认：true',
	`id_card_reader_brand` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '身份证阅读器品牌 IdCardReaderBrandEnum',
	`analysis_photo` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否解析身份证照片 0-关闭 1-开启 默认-1',
	`analysis_fingerprint` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否解析身份证指纹 0-关闭 1-开启 默认-0',
	`use_person_card` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否人证比对 默认：false',
	`use_qrcode` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否启用二维码功能 默认：true',
	`id_card_interval` INT NULL DEFAULT 3 COMMENT '同一人刷证间隔时间 取值范围0-20 默认-3',
	`qr_code_reader_brand` INT NULL DEFAULT NULL COMMENT '二维码读头品牌 QrCodeReaderBrandEnum',
	`qr_code_reader_communication_mode` INT NULL DEFAULT NULL COMMENT '二维码读头通信模式 1-虚拟串口 2-串口serialPort',
	`qr_code_reader_serial_port` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '二维码读头串口地址serialPort',
	`qr_code_interval` INT NULL DEFAULT NULL COMMENT '同码间隔时间 取值范围0-20 默认-7',
	`open_delay_time` INT NULL DEFAULT 0 COMMENT '开放刷证/码延时(毫秒)',
	`is_open_passport` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启护照机 默认: false',
	`manual_in_id_card` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启手动输入证件号 默认false',
	`manual_in_id_card_auth` VARCHAR ( 500 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开启手动输入证件号的密钥信息',
	`qr_code_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '二维码是否人证比对 默认：false',
	`passport_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '护照是否人证比对 默认：false',
	`manual_in_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '手动输入证件号是否人证比对 默认：false',
	`open_one_to_n` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否开启1:N刷脸能力',
	`ic14443_ic_card_function` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
	`ic14443_reader_brand` INT NULL DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
	`ic14443_reader_sector_numbers` INT NULL DEFAULT 15 COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
	`ic14443_reader_block` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
	`ic14443_reader_key` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
	`ic14443_start_offset` INT NULL DEFAULT 0 COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
	`ic14443_end_offset` INT NULL DEFAULT 0 COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
	`ic14443_person_card_comparison` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
	`ic14443_same_card_interval_time` INT NULL DEFAULT 7 COMMENT 'ic14443-同卡间隔时间；默认7',
	`ic15693_ic_card_function` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
	`ic15693_reader_brand` INT NULL DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
	`ic15693_reader_block` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
	`ic15693_start_offset` INT NULL DEFAULT 0 COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
	`ic15693_end_offset` INT NULL DEFAULT 0 COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
	`ic15693_person_card_comparison` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
	`ic15693_same_card_interval_time` INT NULL DEFAULT 7 COMMENT 'ic15693-同卡间隔时间；默认7',
	`camera_type` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'IR' COMMENT '摄像头类型 IR-双目  3D-3D结构光 ',
	`rgb_video_direction` INT NULL DEFAULT NULL COMMENT '预览画面角度(RGB)',
	`mirror_video_rgb` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '预览画面是否镜像(RGB)',
	`rgb_detect_direction` INT NULL DEFAULT NULL COMMENT '人脸识别检测角度(RGB)',
	`mirror_detect_rgb` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '人脸识别检测是否镜像(RGB)',
	`nir_video_direction` INT NULL DEFAULT NULL COMMENT '预览画面角度(NIR)',
	`mirror_video_nir` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '预览画面是否镜像(NIR)',
	`nir_detect_direction` INT NULL DEFAULT NULL COMMENT '人脸识别检测角度(NIR)',
	`mirror_detect_nir` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '人脸识别检测是否镜像(NIR)',
	`face_follow_box_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否显示人脸跟随框 默认值true',
	`using_best_image` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启最优人脸检测',
	`best_image_score` INT NULL DEFAULT 0 COMMENT '人脸阈值：0-100；默认 50',
	`quality_control` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启质量检测',
	`blur` FLOAT NULL DEFAULT NULL COMMENT '模糊阈值：0-1；默认 0.5 取值范围[0~1]，0是最清晰，1是最模糊',
	`illum` FLOAT NULL DEFAULT NULL COMMENT '光照阈值：0-1；默认 0.8 取值范围[0~1], 数值越大，光线越强',
	`living_control` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启活体检测',
	`live_type` INT NULL DEFAULT NULL COMMENT '活体检测模式',
	`rgb_live_score` FLOAT NULL DEFAULT NULL COMMENT 'RGB 可见光活体阈值：0-1；默认 0.8',
	`nir_live_score` FLOAT NULL DEFAULT NULL COMMENT 'NIR 近红外活体阈值：0-1；默认 0.8',
	`depth_live_score` FLOAT NULL DEFAULT NULL COMMENT 'Depth深度活体阈值(3D结构光)：0-1；默认 0.8 ',
	`min_face_size` INT NULL DEFAULT NULL COMMENT '人脸检测最小人脸大小： 1-100; 默认 50',
	`one_to_n_score_threshold` FLOAT NULL DEFAULT NULL COMMENT '1:N比对阈值：0-1；默认 0.8',
	`one_to_one_score_threshold` FLOAT NULL DEFAULT NULL COMMENT '1:1比对阈值：0-1；默认 0.5',
	`one_to_one_continue_fail_time` INT NULL DEFAULT NULL COMMENT '1:1人脸连续未通过秒数：1-50；默认 3',
	`one_to_one_timeout` INT NULL DEFAULT NULL COMMENT '1:1人脸比对超时时间：1-50；默认 10',
	`one_to_n_fail_show_tip` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '1:N未通过是否显示提示语：是/否；默认 否',
	`one_to_n_continue_fail_time` INT NULL DEFAULT NULL COMMENT '1:N人脸连续未通过秒数：1-50；默认 3',
	`use_linkage` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用核验接口 默认：true',
	`linkage_ads` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联动平台地址',
	`check_verify_encrypt_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '核验接口数据是否加解密 默认true',
	`check_verify_encrypt_app_key` VARCHAR ( 64 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appKey',
	`check_verify_encrypt_app_secret` VARCHAR ( 64 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appSecret',
	`check_verify_encrypt_private_key` VARCHAR ( 64 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密privateKey',
	`check_verify_retry_times` INT NULL DEFAULT NULL COMMENT '核验接口失败重试次数 默认-1',
	`check_verify_timeout_tips` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口超时提示语 默认-核验接口超时',
	`check_verify_failed_tips` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口失败提示语 默认-核验接口失败',
	`verify_link_timeout` INT NULL DEFAULT NULL COMMENT 'verify核验接口超时时间：15s',
	`verify_retry_times` INT NULL DEFAULT NULL COMMENT 'verify核验接口失败重试次数 默认2',
	`link_timeout` INT NULL DEFAULT NULL COMMENT '核验接口超时时间：4s',
	`special_code_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '启用三要素获取特殊码接口 默认：否',
	`special_code_url` VARCHAR ( 500 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口地址',
	`special_code_timeout` INT NULL DEFAULT NULL COMMENT '三要素获取特殊码接口超时时间：5s',
	`special_code_timeout_tips` VARCHAR ( 64 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时',
	`special_code_failed_tips` VARCHAR ( 64 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败',
	`special_code_prefix` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '特殊码标识（首位/前缀）',
	`user_blacklist_switch` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '开启黑名单 默认：false-否',
	`forbid_pass_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否阻止通行 默认：true-是',
	`forbid_pass_text` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '阻止通行的文本 默认：禁止通行',
	`forbid_pass_voice` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '阻止通信提示语音 默认：禁止通行，请联系管理员',
	`user_blacklist_hit_rule` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '命中条件 IDENTITY_CARD-身份证 PHONE-手机号 默认：勾选身份证',
	`user_blacklist_interf_fetch_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用接口拉取 默认：true',
	`user_blacklist_interf_url` VARCHAR ( 500 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '接口拉取地址',
	`user_blacklist_encrypt_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '黑名单数据是否加解密 默认true',
	`user_blacklist_encrypt_app_key` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appKey',
	`user_blacklist_encrypt_app_secret` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appSecrete',
	`user_blacklist_encrypt_private_key` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密PrivateKey',
	`user_blacklist_offline_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用本地名单 默认false',
	`user_blacklist_offline_task_id` text CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '本地名单任务集合',
	`websocket_subscribe_url` VARCHAR ( 500 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '人脸管理平台ws地址',
	`result_page_template` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '结果页模版 1-通用版 2-悬浮版',
	`compare_silent_display` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '比对失败是否静默显示 false-关闭 true-开启 默认false',
	`compare_silent_display_time` INT NULL DEFAULT 2 COMMENT '比对失败静默时长 默认2',
	`compare_top_title` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '比对失败顶部文字',
	`success_page_time` INT NULL DEFAULT NULL COMMENT '刷脸成功结果页时长 1-10 默认值2',
	`fail_page_time` INT NULL DEFAULT NULL COMMENT '刷脸失败结果页时长 1-10 默认值5',
	`push_failed_record_type` text CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '推送失败记录类型',
	`in_out_filter_repeat_time` INT NULL DEFAULT NULL COMMENT '进出记录滤重时间 默认0 0-120s',
	`suc_voice` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '成功语音 默认: 请通行',
	`suc_text` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '成功文字 默认: 请通行',
	`fail_voice` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '失败语音 默认: 比对失败,请联系现场工作人员',
	`fail_text` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '失败文字 默认: 比对失败,请联系现场工作人员',
	`show_display_time_by_open_times_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否根据开门次数决定显示时长 false-关闭 true-开启 默认false',
	`once_open_door_time` INT NULL DEFAULT NULL COMMENT '单次开门时长 默认2',
	`single_page_time` INT NULL DEFAULT NULL COMMENT '默认单选页时长 默认120',
	`multi_page_time` INT NULL DEFAULT NULL COMMENT '默认多选页时长 默认120',
	`wait_page_time` INT NULL DEFAULT NULL COMMENT '默认等待页时长 默认120',
	`one_to_one_tips_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '1:1比对是否显示提醒页面 默认：true',
	`one_to_one_tips` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '1:1比对提醒文字 默认：请面向屏幕刷脸',
	`one_to_one_voice` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '1:1比对提醒语音',
	`show_top_bar` TINYINT ( 1 ) UNSIGNED ZEROFILL NULL DEFAULT 1 COMMENT '是否显示顶部栏',
	`left_top_bar_text` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '顶部栏左边显示内容',
	`right_top_bar_text` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '顶部栏右边显示内容',
	`use_serial_port` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开门信号: 继电器/RS232 default/RS232 默认：default',
	`door_serial_port` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'RS232开门信号串口地址',
	`relay_open_model` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '继电器开门模式 1-开-闭信号 2-开-门磁-闭信息',
	`door_serial_port_address` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门磁串口地址',
	`gate_time_out` INT NULL DEFAULT NULL COMMENT '门磁超时时间（s）',
	`light_mode` VARCHAR ( 50 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '补光灯: 自动 auto 默认:auto',
	`led_brightness` INT NULL DEFAULT NULL COMMENT '补光灯亮度',
	`open_close_interval` INT NULL DEFAULT NULL COMMENT '开闭时间间隔（s）',
	`signal_interval` INT NULL DEFAULT NULL COMMENT '信号间间隔（s）',
	`heart_tracking_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '应用状态推送地址',
	`transit_push_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '进出记录推送地址',
	`log_push_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '在线日志推送地址',
	`pass_way` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
	`is_open_age_limit` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启年龄限制',
	`limit_section_start` INT NULL DEFAULT NULL COMMENT '限制区间-开始年龄',
	`limit_section_end` INT NULL DEFAULT NULL COMMENT '限制区间-结束年龄',
	`age_forbid_text` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '禁止进入文本',
	`is_push_gm` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否推送门磁信号 默认: false',
	`gm_address` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门磁信号推送地址',
	`gm_frequency` INT NULL DEFAULT 1000 COMMENT '门磁信号推送频率',
	`push_failed_record_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否推送失败记录',
	`mpassword` VARCHAR ( 100 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备管理员密码',
	`volume` INT NULL DEFAULT 80 COMMENT '语音音量 0-100 默认值80',
	`hide_navigation_bar` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '隐藏底部导航栏 默认: false',
	`forbid_pull_down` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '禁止下拉通知栏 默认: false',
	`auto_launch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '应用是否自启动 默认: false',
	`scheduled_restart` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否开启定时重启 true-是 false-否 默认-false',
	`scheduled_restart_time` time NULL DEFAULT NULL COMMENT '定时重启时间HH:mm:ss',
	`home_page_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '首页图片配置',
	`transition_page_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '过渡页图片配置',
	`preview_page_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览页图片配置',
	`scan_face_failed_page_url` VARCHAR ( 255 ) CHARACTER 
	SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '刷脸失败结果页图片配置',
	PRIMARY KEY ( `id` ) USING BTREE,
	INDEX `idx_sn` ( `sn` ASC ) USING BTREE 
) ENGINE = INNODB AUTO_INCREMENT = 1 CHARACTER 
SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'HhLocal设备' ROW_FORMAT = DYNAMIC;

CREATE TABLE `hanghui_outapi_platform`.`hh_local_device_template` (
  `id` BIGINT NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `template_name` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '模版名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `version` BIGINT NULL DEFAULT NULL COMMENT '版本控制 ',
  `is_deleted` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否删除',
  `application_type_id` BIGINT NULL DEFAULT NULL COMMENT '应用类型id',
  `device_model_hardware_id` BIGINT NULL DEFAULT NULL COMMENT '设备型号(硬件)id',
  `expiration_date` date NULL DEFAULT NULL COMMENT '到期日期',
  `license_online_key` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '(百度)激活序列号',
  `communication_mode` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '应用通信模式 1-HTTP 2-WS 3-serialPort',
  `ws_address` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'websocket地址',
  `communication_serial_port` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '串口地址serialPort',
  `linkage_check_mode` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '联动平台校验模式 1-通用 2-预检查模式',
  `use_idcard` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否启用身份证功能 默认：true',
  `id_card_reader_brand` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '身份证阅读器品牌 IdCardReaderBrandEnum',
  `analysis_photo` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否解析身份证照片 0-关闭 1-开启 默认-1',
  `analysis_fingerprint` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否解析身份证指纹 0-关闭 1-开启 默认-0',
  `use_person_card` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否人证比对 默认：false',
  `use_qrcode` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '是否启用二维码功能 默认：true',
  `id_card_interval` INT NULL DEFAULT 3 COMMENT '同一人刷证间隔时间 取值范围0-20 默认-3',
  `qr_code_reader_brand` INT NULL DEFAULT NULL COMMENT '二维码读头品牌 QrCodeReaderBrandEnum',
  `qr_code_reader_communication_mode` INT NULL DEFAULT NULL COMMENT '二维码读头通信模式 1-虚拟串口 2-串口serialPort',
  `qr_code_reader_serial_port` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '二维码读头串口地址serialPort',
  `qr_code_interval` INT NULL DEFAULT NULL COMMENT '同码间隔时间 取值范围0-20 默认-7',
  `open_delay_time` INT NULL DEFAULT 0 COMMENT '开放刷证/码延时(毫秒)',
  `is_open_passport` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启护照机 默认: false',
  `manual_in_id_card` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启手动输入证件号 默认false',
  `manual_in_id_card_auth` VARCHAR ( 500 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开启手动输入证件号的密钥信息',
  `qr_code_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '二维码是否人证比对 默认：false',
  `passport_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '护照是否人证比对 默认：false',
  `manual_in_use_person_card` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '手动输入证件号是否人证比对 默认：false',
  `open_one_to_n` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否开启1:N刷脸能力',
  `ic14443_ic_card_function` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic14443-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
  `ic14443_reader_brand` INT NULL DEFAULT NULL COMMENT 'ic14443-阅读器品牌 ReaderBrandEnum',
  `ic14443_reader_sector_numbers` INT NULL DEFAULT 15 COMMENT 'ic14443-读取扇区-数字；0-99 默认15',
  `ic14443_reader_block` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT 'ic14443-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
  `ic14443_reader_key` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'FFFFFFFFFFFF' COMMENT 'ic14443-读取密钥-填写,默认 FFFFFFFFFFFF 长度100 默认12个F',
  `ic14443_start_offset` INT NULL DEFAULT 0 COMMENT 'ic14443-起始偏移量-数字 0-100 默认 0',
  `ic14443_end_offset` INT NULL DEFAULT 0 COMMENT 'ic14443-末尾偏移量-数字 0-100 默认 0',
  `ic14443_person_card_comparison` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic14443-是否人证比对；false-否（默认） true-是',
  `ic14443_same_card_interval_time` INT NULL DEFAULT 7 COMMENT 'ic14443-同卡间隔时间；默认7',
  `ic15693_ic_card_function` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic15693-是否启用IC卡ISO14443A功能 false-否（默认） true-是',
  `ic15693_reader_brand` INT NULL DEFAULT NULL COMMENT 'ic15693-阅读器品牌 ReaderBrandEnum',
  `ic15693_reader_block` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT 'ic15693-读取块-填写,数字逗号隔开 0,1,2,3 长度100 默认0',
  `ic15693_start_offset` INT NULL DEFAULT 0 COMMENT 'ic15693-起始偏移量-数字 0-100 默认 0',
  `ic15693_end_offset` INT NULL DEFAULT 0 COMMENT 'ic15693-末尾偏移量-数字 0-100 默认 0',
  `ic15693_person_card_comparison` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT 'ic15693-是否人证比对；false-否（默认） true-是',
  `ic15693_same_card_interval_time` INT NULL DEFAULT 7 COMMENT 'ic15693-同卡间隔时间；默认7',
  `camera_type` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'IR' COMMENT '摄像头类型 IR-双目  3D-3D结构光 ',
  `rgb_video_direction` INT NULL DEFAULT NULL COMMENT '预览画面角度(RGB)',
  `mirror_video_rgb` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '预览画面是否镜像(RGB)',
  `rgb_detect_direction` INT NULL DEFAULT NULL COMMENT '人脸识别检测角度(RGB)',
  `mirror_detect_rgb` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '人脸识别检测是否镜像(RGB)',
  `nir_video_direction` INT NULL DEFAULT NULL COMMENT '预览画面角度(NIR)',
  `mirror_video_nir` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '预览画面是否镜像(NIR)',
  `nir_detect_direction` INT NULL DEFAULT NULL COMMENT '人脸识别检测角度(NIR)',
  `mirror_detect_nir` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '人脸识别检测是否镜像(NIR)',
  `face_follow_box_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否显示人脸跟随框 默认值true',
  `using_best_image` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启最优人脸检测',
  `best_image_score` INT NULL DEFAULT 0 COMMENT '人脸阈值：0-100；默认 50',
  `quality_control` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启质量检测',
  `blur` FLOAT NULL DEFAULT NULL COMMENT '模糊阈值：0-1；默认 0.5 取值范围[0~1]，0是最清晰，1是最模糊',
  `illum` FLOAT NULL DEFAULT NULL COMMENT '光照阈值：0-1；默认 0.8 取值范围[0~1], 数值越大，光线越强',
  `living_control` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '视频流是否开启活体检测',
  `live_type` INT NULL DEFAULT NULL COMMENT '活体检测模式',
  `rgb_live_score` FLOAT NULL DEFAULT NULL COMMENT 'RGB 可见光活体阈值：0-1；默认 0.8',
  `nir_live_score` FLOAT NULL DEFAULT NULL COMMENT 'NIR 近红外活体阈值：0-1；默认 0.8',
  `depth_live_score` FLOAT NULL DEFAULT NULL COMMENT 'Depth深度活体阈值(3D结构光)：0-1；默认 0.8 ',
  `min_face_size` INT NULL DEFAULT NULL COMMENT '人脸检测最小人脸大小： 1-100; 默认 50',
  `one_to_n_score_threshold` FLOAT NULL DEFAULT NULL COMMENT '1:N比对阈值：0-1；默认 0.8',
  `one_to_one_score_threshold` FLOAT NULL DEFAULT NULL COMMENT '1:1比对阈值：0-1；默认 0.5',
  `one_to_one_continue_fail_time` INT NULL DEFAULT NULL COMMENT '1:1人脸连续未通过秒数：1-50；默认 3',
  `one_to_one_timeout` INT NULL DEFAULT NULL COMMENT '1:1人脸比对超时时间：1-50；默认 10',
  `one_to_n_fail_show_tip` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '1:N未通过是否显示提示语：是/否；默认 否',
  `one_to_n_continue_fail_time` INT NULL DEFAULT NULL COMMENT '1:N人脸连续未通过秒数：1-50；默认 3',
  `use_linkage` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用核验接口 默认：true',
  `linkage_ads` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联动平台地址',
  `check_verify_encrypt_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '核验接口数据是否加解密 默认true',
  `check_verify_encrypt_app_key` VARCHAR ( 64 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appKey',
  `check_verify_encrypt_app_secret` VARCHAR ( 64 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appSecret',
  `check_verify_encrypt_private_key` VARCHAR ( 64 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密privateKey',
  `check_verify_retry_times` INT NULL DEFAULT NULL COMMENT '核验接口失败重试次数 默认-1',
  `check_verify_timeout_tips` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口超时提示语 默认-核验接口超时',
  `check_verify_failed_tips` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口失败提示语 默认-核验接口失败',
  `verify_link_timeout` INT NULL DEFAULT NULL COMMENT 'verify核验接口超时时间：15s',
  `verify_retry_times` INT NULL DEFAULT NULL COMMENT 'verify核验接口失败重试次数 默认2',
  `link_timeout` INT NULL DEFAULT NULL COMMENT '核验接口超时时间：4s',
  `special_code_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '启用三要素获取特殊码接口 默认：否',
  `special_code_url` VARCHAR ( 500 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口地址',
  `special_code_timeout` INT NULL DEFAULT NULL COMMENT '三要素获取特殊码接口超时时间：5s',
  `special_code_timeout_tips` VARCHAR ( 64 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口超时提示语 默认-三要素获取特殊码接口请求超时',
  `special_code_failed_tips` VARCHAR ( 64 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '三要素获取特殊码接口失败提示语 默认-三要素获取特殊码接口请求失败',
  `special_code_prefix` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '特殊码标识（首位/前缀）',
  `user_blacklist_switch` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '开启黑名单 默认：false-否',
  `forbid_pass_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否阻止通行 默认：true-是',
  `forbid_pass_text` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '阻止通行的文本 默认：禁止通行',
  `forbid_pass_voice` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '阻止通信提示语音 默认：禁止通行，请联系管理员',
  `user_blacklist_hit_rule` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '命中条件 IDENTITY_CARD-身份证 PHONE-手机号 默认：勾选身份证',
  `user_blacklist_interf_fetch_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用接口拉取 默认：true',
  `user_blacklist_interf_url` VARCHAR ( 500 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '接口拉取地址',
  `user_blacklist_encrypt_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '黑名单数据是否加解密 默认true',
  `user_blacklist_encrypt_app_key` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appKey',
  `user_blacklist_encrypt_app_secret` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密appSecrete',
  `user_blacklist_encrypt_private_key` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核验接口数据是否加解密PrivateKey',
  `user_blacklist_offline_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否启用本地名单 默认false',
  `user_blacklist_offline_task_id` text CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '本地名单任务集合',
  `websocket_subscribe_url` VARCHAR ( 500 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '人脸管理平台ws地址',
  `result_page_template` TINYINT ( 1 ) NULL DEFAULT 1 COMMENT '结果页模版 1-通用版 2-悬浮版',
  `compare_silent_display` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '比对失败是否静默显示 false-关闭 true-开启 默认false',
  `compare_silent_display_time` INT NULL DEFAULT 2 COMMENT '比对失败静默时长 默认2',
  `compare_top_title` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '比对失败顶部文字',
  `success_page_time` INT NULL DEFAULT NULL COMMENT '刷脸成功结果页时长 1-10 默认值2',
  `fail_page_time` INT NULL DEFAULT NULL COMMENT '刷脸失败结果页时长 1-10 默认值5',
  `push_failed_record_type` text CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '推送失败记录类型',
  `in_out_filter_repeat_time` INT NULL DEFAULT NULL COMMENT '进出记录滤重时间 默认0 0-120s',
  `suc_voice` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '成功语音 默认: 请通行',
  `suc_text` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '成功文字 默认: 请通行',
  `fail_voice` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '失败语音 默认: 比对失败,请联系现场工作人员',
  `fail_text` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '失败文字 默认: 比对失败,请联系现场工作人员',
  `show_display_time_by_open_times_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否根据开门次数决定显示时长 false-关闭 true-开启 默认false',
  `once_open_door_time` INT NULL DEFAULT NULL COMMENT '单次开门时长 默认2',
  `single_page_time` INT NULL DEFAULT NULL COMMENT '默认单选页时长 默认120',
  `multi_page_time` INT NULL DEFAULT NULL COMMENT '默认多选页时长 默认120',
  `wait_page_time` INT NULL DEFAULT NULL COMMENT '默认等待页时长 默认120',
  `one_to_one_tips_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '1:1比对是否显示提醒页面 默认：true',
  `one_to_one_tips` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '1:1比对提醒文字 默认：请面向屏幕刷脸',
  `one_to_one_voice` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '1:1比对提醒语音',
  `show_top_bar` TINYINT ( 1 ) UNSIGNED ZEROFILL NULL DEFAULT 1 COMMENT '是否显示顶部栏',
  `left_top_bar_text` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '顶部栏左边显示内容',
  `right_top_bar_text` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '顶部栏右边显示内容',
  `use_serial_port` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开门信号: 继电器/RS232 default/RS232 默认：default',
  `door_serial_port` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'RS232开门信号串口地址',
  `relay_open_model` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '继电器开门模式 1-开-闭信号 2-开-门磁-闭信息',
  `door_serial_port_address` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门磁串口地址',
  `gate_time_out` INT NULL DEFAULT NULL COMMENT '门磁超时时间（s）',
  `light_mode` VARCHAR ( 50 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '补光灯: 自动 auto 默认:auto',
  `led_brightness` INT NULL DEFAULT NULL COMMENT '补光灯亮度',
  `open_close_interval` INT NULL DEFAULT NULL COMMENT '开闭时间间隔（s）',
  `signal_interval` INT NULL DEFAULT NULL COMMENT '信号间间隔（s）',
  `heart_tracking_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '应用状态推送地址',
  `transit_push_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '进出记录推送地址',
  `log_push_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '在线日志推送地址',
  `pass_way` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `is_open_age_limit` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否开启年龄限制',
  `limit_section_start` INT NULL DEFAULT NULL COMMENT '限制区间-开始年龄',
  `limit_section_end` INT NULL DEFAULT NULL COMMENT '限制区间-结束年龄',
  `age_forbid_text` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '禁止进入文本',
  `is_push_gm` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '是否推送门磁信号 默认: false',
  `gm_address` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门磁信号推送地址',
  `gm_frequency` INT NULL DEFAULT 1000 COMMENT '门磁信号推送频率',
  `push_failed_record_switch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否推送失败记录',
  `mpassword` VARCHAR ( 100 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备管理员密码',
  `volume` INT NULL DEFAULT 80 COMMENT '语音音量 0-100 默认值80',
  `hide_navigation_bar` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '隐藏底部导航栏 默认: false',
  `forbid_pull_down` TINYINT ( 1 ) NULL DEFAULT 0 COMMENT '禁止下拉通知栏 默认: false',
  `auto_launch` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '应用是否自启动 默认: false',
  `scheduled_restart` TINYINT ( 1 ) NULL DEFAULT NULL COMMENT '是否开启定时重启 true-是 false-否 默认-false',
  `scheduled_restart_time` time NULL DEFAULT NULL COMMENT '定时重启时间HH:mm:ss',
  `home_page_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '首页图片配置',
  `transition_page_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '过渡页图片配置',
  `preview_page_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览页图片配置',
  `scan_face_failed_page_url` VARCHAR ( 255 ) CHARACTER 
  SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '刷脸失败结果页图片配置',
  PRIMARY KEY ( `id` ) USING BTREE,
  INDEX `idx_template_name` ( `template_name` ASC ) USING BTREE 
) ENGINE = INNODB AUTO_INCREMENT = 1 CHARACTER 
SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'HhLocal设备模版' ROW_FORMAT = DYNAMIC;

ALTER TABLE `hanghui_outapi_platform`.`device` 
ADD COLUMN `scan_face_failed_page_url` varchar(255) NULL COMMENT '刷脸失败结果页图片配置' AFTER `in_out_filter_repeat_time`;
ALTER TABLE `hanghui_outapi_platform`.`device_template` 
ADD COLUMN `scan_face_failed_page_url` varchar(255) NULL COMMENT '刷脸失败结果页图片配置' AFTER `in_out_filter_repeat_time`;

访客机
visitReason 拜访事由



ALTER TABLE `hanghui_outapi_platform`.`fkj_device` 
ADD COLUMN `confirm_countdown_switch` tinyint(1) NULL COMMENT '是否启用确定倒计时' AFTER `visit_reason`,
ADD COLUMN `confirm_countdown_time` bigint NULL COMMENT '确定倒计时时长（s）' AFTER `confirm_countdown_switch`,
ADD COLUMN `secondary_page_switch` tinyint(1) NULL COMMENT '是否启用首页副屏首页图' AFTER `confirm_countdown_time`,
ADD COLUMN `secondary_page_images` text NULL COMMENT '首页副屏首页图' AFTER `secondary_page_switch`,
ADD COLUMN `processing_page_image` varchar(500) NULL COMMENT '处理中页面图片' AFTER `secondary_page_images`;

ALTER TABLE `hanghui_outapi_platform`.`fkj_device_template` 
ADD COLUMN `confirm_countdown_switch` tinyint(1) NULL COMMENT '是否启用确定倒计时' AFTER `visit_reason`,
ADD COLUMN `confirm_countdown_time` bigint NULL COMMENT '确定倒计时时长（s）' AFTER `confirm_countdown_switch`,
ADD COLUMN `secondary_page_switch` tinyint(1) NULL COMMENT '是否启用首页副屏首页图' AFTER `confirm_countdown_time`,
ADD COLUMN `secondary_page_images` text NULL COMMENT '首页副屏首页图' AFTER `secondary_page_switch`,
ADD COLUMN `processing_page_image` varchar(500) NULL COMMENT '处理中页面图片' AFTER `secondary_page_images`;

ALTER TABLE `hanghui_outapi_platform`.`fkj_device` 
ADD COLUMN `reminder_play_text` varchar(100) NULL COMMENT '提示标语播报文本' AFTER `processing_page_image`;
ALTER TABLE `hanghui_outapi_platform`.`fkj_device_template` 
ADD COLUMN `reminder_play_text` varchar(100) NULL COMMENT '提示标语播报文本' AFTER `processing_page_image`;

ALTER TABLE `hanghui_outapi_platform`.`hh_local_device` 
ADD COLUMN `rgb_revert` tinyint(1) NULL COMMENT '人脸框跟随框是否镜像' AFTER `scan_face_failed_page_url`;
ALTER TABLE `hanghui_outapi_platform`.`hh_local_device_template` 
ADD COLUMN `rgb_revert` tinyint(1) NULL COMMENT '人脸框跟随框是否镜像' AFTER `scan_face_failed_page_url`;