package cn.hanghui.outapi.platform.alipay.constant;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 终端人脸识别应用参数
 */
@Data
@Component
public class AlipayOpenApiProperties {

    //2188
    @Value("${alipay.open.api.appid}")
    private String appId;

    @Value("${alipay.open.api.private-key}")
    private String alipayPrivateKey;

    @Value("${alipay.open.api.public-key}")
    private String alipayPublicKey;

    @Value("${alipay.open.api.service-url}")
    private String ALIPAY_SERVICE_URL;

    @Value("${alipay.open.api.format}")
    private String format;

    @Value("${alipay.open.api.charset}")
    private String charset;

    @Value("${alipay.open.api.sign-type}")
    private String signType;

    //消息监听
    @Value("${alipay.open.api.openchannelServiceUrl}")
    private String OPENCHANNEL_SERVICE_URL;

    // 三方授权
    @Value("${alipay.open.api.appid5513}")
    private String appId5513;

    @Value("${alipay.open.api.private-key5513}")
    private String alipayPrivateKey5513;

    @Value("${alipay.open.api.public-key5513}")
    private String alipayPublicKey5513;

    //苏州园林
    @Value("${alipay.open.api.appid2189}")
    private String appId2189;
    @Value("${alipay.open.api.private-key2189}")
    private String alipayPrivateKey2189;
    @Value("${alipay.open.api.public-key2189}")
    private String alipayPublicKey2189;

    //易行智慧校园
    @Value("${alipay.open.api.appid5069}")
    private String appId5069;
    @Value("${alipay.open.api.private-key5069}")
    private String alipayPrivateKey5069;
    @Value("${alipay.open.api.public-key5069}")
    private String alipayPublicKey5069;

    //温测安
    @Value("${alipay.open.api.appid4661}")
    private String appId4661;
    @Value("${alipay.open.api.private-key4661}")
    private String alipayPrivateKey4661;
    @Value("${alipay.open.api.public-key4661}")
    private String alipayPublicKey4661;

    //无锡机场
    @Value("${alipay.open.api.appid3138}")
    private String appId3138;
    @Value("${alipay.open.api.private-key3138}")
    private String alipayPrivateKey3138;
    @Value("${alipay.open.api.public-key3138}")
    private String alipayPublicKey3138;

    //HHWindows_lssfzm支付宝
    @Value("${alipay.open.api.appid5736}")
    private String appId5736;
    @Value("${alipay.open.api.private-key5736}")
    private String alipayPrivateKey5736;
    @Value("${alipay.open.api.public-key5736}")
    private String alipayPublicKey5736;

    //易行临证通
    @Value("${alipay.open.api.appid2053}")
    private String appId2053;
    @Value("${alipay.open.api.private-key2053}")
    private String alipayPrivateKey2053;
    @Value("${alipay.open.api.public-key2053}")
    private String alipayPublicKey2053;

    //部队预约
    @Value("${alipay.open.api.appid9881}")
    private String appId9881;
    @Value("${alipay.open.api.private-key9881}")
    private String alipayPrivateKey9881;
    @Value("${alipay.open.api.public-key9881}")
    private String alipayPublicKey9881;

    //沈阳博物馆
    @Value("${alipay.open.api.appid1032}")
    private String appId1032;
    @Value("${alipay.open.api.private-key1032}")
    private String alipayPrivateKey1032;
    @Value("${alipay.open.api.public-key1032}")
    private String alipayPublicKey1032;

    //咸宁嘉鱼扫脸办
    @Value("${alipay.open.api.appid6873}")
    private String appId6873;
    @Value("${alipay.open.api.private-key6873}")
    private String alipayPrivateKey6873;
    @Value("${alipay.open.api.public-key6873}")
    private String alipayPublicKey6873;

}
