package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest.request
 * @class AlipayOpenIotvspUserwithimageCreateRequest
 * @date 2023/8/22 下午2:06
 * @description 用户直接入库
 */
@Data
public class AlipayOpenIotvspUserwithimageShendaRequest extends AlipayOpenApiBaseRequest {

    /**
     * 组件编码
     */
    @JSONField(name = "component_out_id")
    private String componentOutId;
    /**
     * 用户核身唯一标识
     */
    @JSONField(name = "vid")
    private String vid;
    /**
     * 用户姓名
     */
    @JSONField(name = "cert_name")
    private String certName;
    /**
     * 证件号码
     */
    @JSONField(name = "cert_no")
    private String certNo;
    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    @JSONField(name = "cert_type")
    private String certType;
    /**
     * 手机号
     */
    @JSONField(name = "phone")
    private String phone;
    /**
     * 头像
     */
    @JSONField(name = "image")
    private String image;
    /**
     * 扩展信息
     */
    @JSONField(name = "ext")
    private String ext;
    /**
     * 标签外标最多5个
     */
    @JSONField(name = "label_out_no")
    private String labelOutNo;

    @JSONField(name = "设备刷脸产生凭证")
    private String ftoken;

    @JSONField(name = "认证凭证")
    private String token;



}
