package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest
 * @class AlipayOrgUserInfoOpenMqRequest
 * @date 2023/5/5 下午2:39
 * @description 订阅机构用户入库通知 用户信息
 */
@Data
public class AlipayOrgUserInfoOpenMqRequest {
    /**
     * 用户id，和录入人员获取unique_id顺序一致
     */
    @JSONField(name = "vid")
    private String vid;
    /**
     * 业务id状态，1成功2失败
     */
    @JSONField(name = "state")
    private Integer state = 1;
    /**
     * 消息
     */
    @JSONField(name = "msg")
    private String msg;
}
