package cn.hanghui.outapi.platform.common.annotation;

import java.lang.annotation.*;

/**
 * 用于接口入参解密（只对body中的json参数有效）
 * 需要在Controller的形参中加@DecryptParam此后不用再加@RequestBody
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DecryptBySm2 {

}
