package cn.hanghui.outapi.platform.common.service;

import cn.hanghui.outapi.platform.common.entity.dto.LoginDto;
import org.springframework.security.core.userdetails.UserDetailsService;

public interface LoginService extends UserDetailsService {

    /**
     * 登录
     *
     * @param loginDto LoginDto
     * @return token
     */
    String login(LoginDto loginDto);
}
