package cn.hanghui.outapi.platform.tenant.entity.dto.ampe;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigPageDto
 * @date 2023/12/5 下午1:36
 * @description
 */
@Data
public class AmpeDeviceDto {

    @ApiModelProperty(value = "容器配置id")
    private Long iotDeviceConfigId;

    @ApiModelProperty(value = "ampe平台名id")
    private Long ampeId;

    @ApiModelProperty(value = "服务商平台id")
    private Long tenantId;

    @ApiModelProperty(value = "隐藏底部导航栏 false-不启用(默认) true-启用")
    private Boolean hideNavigationBar;

    @ApiModelProperty(value = "禁止下拉通知栏 false-不启用(默认) true-启用")
    private Boolean forbidPullDown;

    @ApiModelProperty(value = "应用是否自启动 false-不启用(默认) true-启用")
    private Boolean autoLaunch;

    @ApiModelProperty(value = "是否自动进入小程序 false-不启用(默认) true-启用")
    private Boolean automaticEnterApplet;

    @ApiModelProperty(value = "启动页地址")
    private String startPageUrl;

    @ApiModelProperty(value = "首页图片地址")
    private String homePageUrl;

    @ApiModelProperty(value = "到期日期")
    private LocalDate expirationDate;

    @ApiModelProperty(value = "设备管理员密码")
    private String mpassword;

    @ApiModelProperty(value = "语音音量 0-100 默认值80")
    private Integer volume;


}
