package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistDto
 * @date 2024/8/28 下午4:18
 * @description
 */
@Data
@JsonInclude(JsonInclude.Include.ALWAYS)
public class UserBlacklistBean implements Serializable {

    @ApiModelProperty(value = "UserBlacklistTask 主键")
    @ExcelIgnore
    private Long taskId;

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(index = 0)
    private String certName;

    @ApiModelProperty(value = "身份证号")
    @ExcelProperty(index = 1)
    private String certNo;

    @ApiModelProperty(value = "手机号")
    @ExcelProperty(index = 2)
    private String phone;


}
