package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistTaskSearch
 * @date 2024/8/30 上午9:14
 * @description
 */
@Data
public class UserBlacklistTaskSearch  extends BaseSearch {

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "购买方Id")
    private Long purchaserId;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;



}
