package cn.hanghui.outapi.platform.tenant.entity.dto.open;

import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.open
 * @class RpRequestDTO
 * @date 2024/2/29 下午2:50
 * @description
 */
@Data
public class RpRequestDTO extends RpBaseRequestDTO {

    //姓名
    private String xm;
    //身份证
    private String sfzh;
    //联系电话
    private String lxdh;
    //派出所
    private String pcs;
    //居委会
    private String jwh;
    //现住地详址
    private String xzdxz;
    //申报类型 1、登记 2、 注销
    private String sblx;

    /***以下为非必填字段**/
    private String hksx; //户口省县
    private String hkxz; //户口详址
    private String whcd; //文化程度
    private String hyzk; //婚姻状况
    private String xy;   //政治面貌
    private String xzdqh; //现住地区划
    private String fh; // 房号
    private String fdxm; // 房东姓名
    private String fdgmsfhm; //房东身份证号
    private String fdlxdh; //房东联系电话
    private String gzdw; // 工作单位
    private String dwfzr; //单位负责人
    private String dwlxdh; //单位联系电话
    private String gzdz; //工作地址
    private String szdzbm; //实战地址编码
    private String stdzbm; //省厅地址编码
    private String ryzp; //照片base64
    private String xb; //性别
    private String mz; //民族
    private String csrq; //出生日期
    private String cszy; //从事职业
    private String czfwdah; //出租房屋档案号
    private String bz; //备注
    private String zzsy; //暂(居)住事由
    private String zzcs; //暂(居)住处所
    private String qzrq;//启租日期
    private String tzrq;//退租日期
    private String dwbm;//单位编码

}
