package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofDeviceMiniDto
 * @date 2024/5/13 上午11:23
 * @description
 */
@Data
public class ProvisionalIdentityProofDeviceMiniDto implements Serializable {

    //基本信息配置
    @ApiModelProperty(value = "设备编号", required = true)
    @NotBlank(message = "请输入设备sn")
    private String sn;

    @ApiModelProperty(value = "token", required = true)
    @NotBlank(message = "请输入token")
    private String token;

    @ApiModelProperty(value = "设备编号集合")
    private List<String> sns;


}
