package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class OpenInterfaceAuthDevice
 * @date 2024/1/17 下午3:19
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "open_interface_auth_device", autoResultMap = true)
public class OpenInterfaceAuthDevice extends Base {

    private String sn;

    private Long purchaserId;

    private Long applicationTypeId;

    private Long deviceModelId;

    /**
     * 是否授权 false:未授权 true:已授权
     */
    private Boolean status;

}
