package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class ProvisionalIdentityProofNotice
 * @date 2024/5/9 下午2:49
 * @description
 */
@Data
@TableName(value = "provisional_identity_proof_notice", autoResultMap = true)
public class ProvisionalIdentityProofNotice extends Base {

    @TableField("name")
    @ApiModelProperty(value = "配置名称")
    private String name;

    @ApiModelProperty(value = "标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "须知内容 富文本")
    @TableField("notice")
    private String notice;

    @ApiModelProperty(value = "公章")
    @TableField("official_seal")
    private String officialSeal;


}
