package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppLogDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppLogPageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppLogVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class AppLogService
 * @date 2023/12/19 上午10:48
 * @description
 */
@Deprecated
public interface AppLogService {
    /**
     * 日志插入
     *
     * @param dto
     * @return
     */
    RestResult add(AppLogDto dto);

    /**
     * 获取日志列表分页
     *
     * @param dto
     * @return
     */
    RestResult<IPage<AppLogVo>> page(AppLogPageDto dto);

    /**
     * 删除过期日志
     *
     * @param endTime
     */
    void delExpireLog(Date endTime);
}
