package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthDeviceDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthDeviceImportDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthDevicePageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthDeviceVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class OpenInterfaceAuthDeviceService
 * @date 2024/1/17 下午3:45
 * @description
 */
public interface OpenInterfaceAuthDeviceService {
    RestResult<Boolean> add(OpenInterfaceAuthDeviceDto dto);

    RestResult<Boolean> batchAdd(OpenInterfaceAuthDeviceImportDto dto);

    RestResult<Boolean> del(Long id);

    RestResult<Boolean> updateStatus(Long id, Boolean aTrue);

    RestResult<IPage<OpenInterfaceAuthDeviceVo>> page(OpenInterfaceAuthDevicePageDto dto);
}
