package cn.hanghui.outapi.platform.wuxiairport.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "external_inf_config", autoResultMap = true)
public class ExternalInfConfig extends Base {

    /**
     * 接口地址
     */
    private String url;

    /**
     * 私钥用于接口数据解密
     */
    private String privateKey;

    /**
     * 公钥用于接口数据的加密
     */
    private String publicKey;

    /**
     * 对接公司
     */
    private String company;

    /**
     * 负责人
     */
    private String director;

    /**
     * 负责人联系方式
     */
    private String phone;

    /**
     * 接口说明
     */
    private String infDesc;

    /**
     * 接口名
     */
    private String infName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;
}
