package cn.hanghui.outapi.platform.xinghuo.service;

import cn.hanghui.outapi.platform.xinghuo.entity.dto.GetProofByQrCodeDto;
import cn.hanghui.outapi.platform.xinghuo.entity.param.ApplyProofApiResult;
import cn.hanghui.outapi.platform.xinghuo.entity.param.GetQrCodeApiResult;
import cn.hanghui.outapi.platform.xinghuo.entity.dto.ApplyProofDto;
import cn.hanghui.outapi.platform.xinghuo.entity.dto.GetQrCodeDto;
import cn.hanghui.outapi.platform.xinghuo.entity.param.GetProofByQrCodeApiResult;

public interface XinghuoApiService {

    /**
     * 申请凭证
     *
     * @param applyProofDto ApplyProofDto
     * @return ApplyProofApiResult
     */
    ApplyProofApiResult applyProof(ApplyProofDto applyProofDto);

    /**
     * 获取凭证二维码
     *
     * @param getQrCodeDto GetQrCodeDto
     * @return GetQrCodeApiResult
     */
    GetQrCodeApiResult getQrCode(GetQrCodeDto getQrCodeDto);

    /**
     * 根据二维码获取凭证信息
     *
     * @param getProofByQrCodeDto GetProofByQrCodeDto
     * @return GetProofByQrCodeApiResult
     */
    GetProofByQrCodeApiResult getProofByQrCode(GetProofByQrCodeDto getProofByQrCodeDto);
}
