package cn.hanghui.outapi.platform.tenant.entity.config.maintenance.device;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName DeviceModelDto
 * @Author WXG
 * @Date 2023/12/27 14:26
 */
@Data
public class DeviceModelDto {

    @ApiModelProperty(value = "设备型号Id")
    private Long deviceModelId;

    @ApiModelProperty(value = "设备型号")
    @NotBlank(message = "请输入设备型号")
    private String deviceModel;
}
