package cn.hanghui.outapi.platform.tenant.entity.config.maintenance.purchaser;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName PurchaserDto
 * @Author WXG
 * @Date 2023/12/27 13:31
 */
@Data
public class PurchaserDto {

    @ApiModelProperty(value = "购买方Id")
    private Long purchaserId;

    @ApiModelProperty(value = "公司名称")
    @NotBlank(message = "请输入公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    @ApiModelProperty(value = "公司负责人姓名")
    private String companyHeadName;

    @ApiModelProperty(value = "负责人联系电话")
    private String companyHeadPhone;
}
