package cn.hanghui.outapi.platform.tenant.entity.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class ProveDevice
 * @date 2023/12/5 下午2:32
 * @description
 */
@Deprecated
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("device")
public class ProveDevice  implements Serializable {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备编号
     */
    @TableField("sn")
    private String sn;

    /**
     * 设备地点
     */
    @TableField("address")
    private String address;
    /**
     * 办证标题
     */
    @TableField("handle_prove_title")
    private String handleProveTitle;
    /**
     * 办证须知
     */
    @TableField("handle_prove_notice")
    private String handleProveNotice;
    /**
     * 章
     */
    @TableField("zhang")
    private String zhang;

    @TableField("handle_prove_id")
    private Long handleProveId;

    /**
     * 是否删除 0:未删除 1：已删除
     */
    @TableField(value = "is_deleted",fill = FieldFill.INSERT)
    private Boolean isDeleted;
    /**
     * 跳转链接
     */
    @TableField("jump_url")
    private String jumpUrl;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
